body {
    font-family: Arial, sans-serif;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    background-color: #f4f4f4;
    margin: 0;
}

.container {
    background-color: white;
    padding: 20px;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
    width: 100%;
    max-width: 400px;
    border-radius: 8px;
}

h2 {
    text-align: center;
    margin-bottom: 20px;
}

label {
    font-size: 1rem;
    margin-bottom: 5px;
    display: block;
}

input[type="email"], input[type="text"]{
    width: 95%;
    padding: 10px;
    margin: 10px 0;
    border: 1px solid #ccc;
    border-radius: 4px;
}

input[type="email"]:focus, input[type="text"]:focus {
    border-color: #007bff;
    outline: none;
}

button {
    width: 100%;
    padding: 12px;
    background-color: #007bff;
    color: white;
    font-size: 1rem;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}

button:hover {
    background-color: #0056b3;
}

.hidden {
    display: none;
}

.alert {
    padding: 10px;
    margin: 10px 0;
    background-color: #f9c2c2;
    color: #c20000;
    border: 1px solid #f5b1b1;
    border-radius: 4px;
    font-size: 1rem;
}

.success {
    background-color: #d4edda;
    color: #155724;
    border: 1px solid #c3e6cb;
}